package org.sinev.igor.ps.operatordescription;

import java.util.ArrayList;
import java.util.List;

import org.sinev.igor.ps.model.IDocument;
import org.sinev.igor.ps.model.IElement;

/**
 * Object that performs calculation of some operator.
 *  
 * @author Igor Sinev
 */
public interface OperationPerformer {
	public List<IElement> calculate(ArrayList<IElement> args, IDocument d);
}
