package org.sinev.igor.ps.tests;

/**
 * Miscallenous things for tests.
 * 
 * @author Igor
 */
public class TestMisc {
	static String[] inputStrings = new String[] {				
		"25 75 add 200 add",
		"flush 1 2 pop 3 pop 4 5 flush add add" +
		" 6 7 add pop flush countexecstack 8 9 pop add add",
		"{2 3 add pop}",
		"{{[{2 4 mul [[2 3 pop]] }] flush}}"
	};
	static String[] outputStrings = new String[] {
			"Document: \nPSEInteger: 25\nWhitespace: " +
			"\\32\nPSEInteger: 75\nWhitespace: \\32\nPSEOperator:" +
			" add\nWhitespace: \\32\nPSEInteger: 200\nWhitespace: " +
			"\\32\nPSEOperator: add\n",
		"Document: \nPSEOperator: flush\nWhitespace: \\32" +
			"\nPSEInteger: 1\nWhitespace: \\32\nPSEInteger: 2\nWhites" +
			"pace: \\32\nPSEOperator: pop\nWhitespace: \\32\nPSEInteg" +
			"er: 3\nWhitespace: \\32\nPSEOperator: pop\nWhitespace: " +
			"\\32\nPSEInteger: 4\nWhitespace: \\32\nPSEInteger: 5\nWh" +
			"itespace: \\32\nPSEOperator: flush\nWhitespace: \\32\nP" +
			"SEOperator: add\nWhitespace: \\32\nPSEOperator: add\nWhi" +
			"tespace: \\32\nPSEInteger: 6\nWhitespace: \\32\nPSEInteg" +
			"er: 7\nWhitespace: \\32\nPSEOperator: add\nWhitespace: " +
			"\\32\nPSEOperator: pop\nWhitespace: \\32\nPSEOperator: f" +
			"lush\nWhitespace: \\32\nPSEOperator: countexecstack\nWh" +
			"itespace: \\32\nPSEInteger: 8\nWhitespace: \\32\nPSEInte" +
			"ger: 9\nWhitespace: \\32\nPSEOperator: pop\nWhitespace:" +
			" \\32\nPSEOperator: add\nWhitespace: \\32\nPSEOperator: " +
			"add\n"};
	static String structureOutputStrings[] = new String[] {
		"add (Operator)\n" +
		"  add (Operator)\n" +		
		"    25 (INT)\n" +
		"    75 (INT)\n" +
		"  200 (INT)\n",
		
		"add (Operator)\n" +
		"  add (Operator)\n" +
		"    1 (INT)\n" +
		"    add (Operator)\n" +
		"      4 (INT)\n" +
		"      5 (INT)\n" +
		"  add (Operator)\n" +
		"    countexecstack (Operator)\n" +
		"    8 (INT)\n"
		
//		"add (Operator)\n" +
//		"  add (Operator)\n" +
//		"    8 (INT)\n" +
//		"    countexecstack (Operator)\n" +
//		"  add (Operator)\n" +
//		"    add (Operator)\n" +
//		"      5 (INT)\n" +
//		"      4 (INT)\n" +
//		"    1 (INT)\n"
	};
}
