package org.sinev.igor.ps.model;

/**
 * Interface for an integer element of a PS document.
 * 
 * @author Igor Sinev
 */
public interface IPSEInteger extends IElement {
	void setValue(int v);
	
	/**
	 * Gets the value of an element.
	 * 
	 * @return element value.
	 */
	public int getValue();
}
