package org.sinev.igor.psmisc;

import java.io.File;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamResult;

import org.xml.sax.InputSource;


public class Reference2XMLConverter {
	public static void main(String[] args) {
		DescriptionFileReader reader = new DescriptionFileReader();
 
        try {
        	File f = new File("org\\sinev\\igor\\psmisc\\refout");
 
            TransformerFactory tFactory =
                TransformerFactory.newInstance();
            Transformer transformer = tFactory.newTransformer();
          
            FileReader fr = new FileReader(f);
            InputSource inputSource = new InputSource(fr);
            SAXSource source = new SAXSource(reader, inputSource);
            StreamResult result = new StreamResult(new FileOutputStream(new File("org\\sinev\\igor\\ps\\tests\\operators.xml")));
            transformer.transform(source, result);
           
        } catch (TransformerConfigurationException tce) {
        	System.out.println ("\n** Transformer Factory error");
        	System.out.println("   " + tce.getMessage() );

        	Throwable x = tce;
        	if (tce.getException() != null)
        		x = tce.getException();
        	x.printStackTrace();
      
        } catch (TransformerException te) {
        	System.out.println ("\n** Transformation error");
        	System.out.println("   " + te.getMessage() );	

        	Throwable x = te;
        	if (te.getException() != null)
        		x = te.getException();
        	x.printStackTrace();
        	
        } catch (IOException ioe) {
        	ioe.printStackTrace();
        }	
	}
}
